> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get visitorsarrivals

> Retrieve the visitor arrival identified by the numeric visitor arrival ID value passed as a path parameter.

The requesting User must have one of the following rights to perform this task:

This operation returns a **Visitor Arrival** value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml get /visitors/arrivals/{sysidVisitorArrival}
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /visitors/arrivals/{sysidVisitorArrival}:
    get:
      tags:
        - VisitorService
      description: >-
        Retrieve the visitor arrival identified by the numeric visitor arrival
        ID value passed as a path parameter.


        The requesting User must have one of the following rights to perform
        this task:


        This operation returns a **Visitor Arrival** value.
      operationId: getVisitorArrival
      parameters:
        - name: sysidVisitorArrival
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: ': Integer ID of the visitor arrival to retrieve'
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  value:
                    aqActualArrivalTime:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    sysidHost: 12345
                    sysidVisitType: 12345
                    sysidReservation: 12345
                    notes: ...
                    acknowledgements:
                      - accepted: true
                        sysidConfigAcknowledgement: 12345
                        sysidVisitorAcknowledgement: 12345
                      - accepted: true
                        sysidConfigAcknowledgement: 12345
                        sysidVisitorAcknowledgement: 12345
                    sysidVisitCreator: 12345
                    aqActualDepartureTime:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    sysidVenue: 12345
                    visitType: Interview
                    aqArrivalTime:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    sysidVisitorArrival: 12345
                    coVisitors:
                      - visitorName: ...
                        sysidVisitorArrivalCoVisitor: 12345
                      - visitorName: ...
                        sysidVisitorArrivalCoVisitor: 12345
                    aqDepartureTime:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    sysidVisitor: 12345
                    coVisitorCount: 12345
                    sysidAltHost: 12345
                    sysidActionType: 12345
                    readOnlyActions:
                      - aqActionTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidActionType: 12345
                        sysidVisitorAction: 12345
                        sysidUserPerformer: 12345
                      - aqActionTime:
                          discriminator: AqDate
                          hour: 12345
                          tzIdValue: ...
                          year: 12345
                          month: 12345
                          dayOfMonth: 12345
                          minute: 12345
                          noEndDate: true
                        sysidActionType: 12345
                        sysidVisitorAction: 12345
                        sysidUserPerformer: 12345
              schema:
                $ref: '#/components/schemas/VisitorArrival'
          description: |-
            VisitorArrival value identified by the visitor arrival ID.

            com.agilquest.phoenix.shared.data.visitor.VisitorArrival
components:
  schemas:
    VisitorArrival:
      type: object
      title: VisitorArrival
      required:
        - sysidVisitType
        - sysidVisitor
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            aqActualArrivalTime:
              $ref: '#/components/schemas/AqDate'
            sysidHost:
              type: integer
              format: int32
            sysidVisitType:
              type: integer
              format: int32
            sysidReservation:
              type: integer
              format: int64
            notes:
              type: string
            acknowledgements:
              type: array
              items:
                $ref: '#/components/schemas/VisitorAcknowledgement'
            sysidVisitCreator:
              type: integer
              format: int32
            aqActualDepartureTime:
              $ref: '#/components/schemas/AqDate'
            sysidVenue:
              type: integer
              format: int32
            visitType:
              $ref: '#/components/schemas/VisitType'
            aqArrivalTime:
              $ref: '#/components/schemas/AqDate'
            sysidVisitorArrival:
              type: integer
              format: int32
            coVisitors:
              type: array
              items:
                $ref: '#/components/schemas/VisitorArrivalCoVisitor'
            aqDepartureTime:
              $ref: '#/components/schemas/AqDate'
            sysidVisitor:
              type: integer
              format: int32
            coVisitorCount:
              type: integer
              format: int32
            sysidAltHost:
              type: integer
              format: int32
            sysidActionType:
              type: integer
              format: int32
            readOnlyActions:
              type: array
              items:
                $ref: '#/components/schemas/VisitorAction'
      example:
        aqActualArrivalTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidHost: 12345
        sysidVisitType: 12345
        sysidReservation: 12345
        notes: ...
        acknowledgements:
          - accepted: true
            sysidConfigAcknowledgement: 12345
            sysidVisitorAcknowledgement: 12345
          - accepted: true
            sysidConfigAcknowledgement: 12345
            sysidVisitorAcknowledgement: 12345
        sysidVisitCreator: 12345
        aqActualDepartureTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidVenue: 12345
        visitType: SiteVisit
        aqArrivalTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidVisitorArrival: 12345
        coVisitors:
          - visitorName: ...
            sysidVisitorArrivalCoVisitor: 12345
          - visitorName: ...
            sysidVisitorArrivalCoVisitor: 12345
        aqDepartureTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidVisitor: 12345
        coVisitorCount: 12345
        sysidAltHost: 12345
        sysidActionType: 12345
        readOnlyActions:
          - aqActionTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidActionType: 12345
            sysidVisitorAction: 12345
            sysidUserPerformer: 12345
          - aqActionTime:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidActionType: 12345
            sysidVisitorAction: 12345
            sysidUserPerformer: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true
    VisitorAcknowledgement:
      type: object
      title: VisitorAcknowledgement
      required:
        - accepted
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            accepted:
              type: boolean
            sysidConfigAcknowledgement:
              type: integer
              format: int32
            sysidVisitorAcknowledgement:
              type: integer
              format: int32
      example:
        accepted: true
        sysidConfigAcknowledgement: 12345
        sysidVisitorAcknowledgement: 12345
    VisitType:
      type: string
      title: VisitType
      enum:
        - Meeting
        - Interview
        - ServiceProvider
        - Conference
        - SiteVisit
        - Contractor
        - Staff
    VisitorArrivalCoVisitor:
      type: object
      title: VisitorArrivalCoVisitor
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            visitorName:
              type: string
            sysidVisitorArrivalCoVisitor:
              type: integer
              format: int32
      example:
        visitorName: ...
        sysidVisitorArrivalCoVisitor: 12345
    VisitorAction:
      type: object
      title: VisitorAction
      required:
        - sysidActionType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            aqActionTime:
              $ref: '#/components/schemas/AqDate'
            sysidActionType:
              type: integer
              format: int32
            sysidVisitorAction:
              type: integer
              format: int32
            sysidUserPerformer:
              type: integer
              format: int32
      example:
        aqActionTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidActionType: 12345
        sysidVisitorAction: 12345
        sysidUserPerformer: 12345

````